dpkg-query(1)

NAZWA
dpkg-query - narzędzie przepytywania bazy danych dpkg

SKŁADNIA
dpkg-query -l|--list wzorzec-nazwy-pakietu ...
dpkg-query -W|--show wzorzec-nazwy-pakietu ...
dpkg-query -s|--status nazwa-pakietu ...
dpkg-query -L|--listfiles nazwa-pakietu ...
dpkg-query -S|--search wzorzec-wyszukiwania-nazwy-pliku ...
dpkg-query -p|--print-avail nazwa-pakietu ...
dpkg-query --licence|--license
dpkg-query --version

OPIS
dpkg-query jest narzędziem służącym do pokazywania informacji o pakietach wymienionych w bazie danych dpkg.

POLECENIA

-l | --list wzorzec-nazwy-pakietu ...
    Wypisuje listę pakietów o podanym wzorcu nazwy. Jeśli nie podano wzorca-nazwy-pakietu, wypisuje listę wszystkich pakietów z pliku /var/lib/dpkg/status, pomijając jednak te, które są oznaczone jako do wyczyszczenia z plików konfiguracyjnych (purge). Do wzorca-nazwy-pakietu można wpisać zwykłe operatory powtórzenia. Prawdopodobnie potrzebne będzie zacytowanie wzorca-nazwy-pakietu, aby powłoka nie rozwinęła tego wzorca. Na przykład, poniższe polecenie wypisze nazwy wszystkich pakietów zaczynających się od “libc6”:
     dpkg-query -l 'libc6*'
    Format wyjścia tej opcji nie jest konfigurowalny, ale automatycznie się zmienia, dostosowując się do szerokości terminalu. Jest to przeznaczone dla ludzi i nie musi być łatwo parsowalne przez maszynę. Patrz opcje -W (--show) and --showformat, aby dowiedzieć się, jak skonfigurować format wyjścia.

-W | --show wzorzec-nazwy-pakietu ...
    Zupełnie tak jak opcja --list, ta opcja wyświetli wszystkie pakiety pasujące do danego wzorca. Jednakże użytkownik może dostosować format wyjścia do swoich potrzeb za pomocą opcji --showformat. W domyślnym formacie dla każdego pasującego pakietu wyświetlana jest pojedyncza linia zawierająca jego nazwę oraz - po znaku tabulacji - zainstalowaną wersję.

-s | --status nazwa-pakietu ...
    Podanie stanu pakietu o podanej nazwie. Polecenie po prostu wyświetli informacje, które znajdują się w bazie danych pakietów.

-L | --listfiles nazwa-pakietu ...
    Podanie listy plików zainstalowanych z nazwy-pakietu. Pliki, które zostały utworzone przez skrypty instalacyjne, nie będą podane.

-S | --search wzorzec-wyszukiwania-nazwy-pliku ...
    Szukanie pliku o podanym wzorcu pośród zainstalowanych pakietów. Wzorzec może zawierać zwykłe operatory powtórzenia. Polecenie to nie wyszuka dodatkowych plików tworzonych przez skrypty instalacyjne pakietów oraz nie wyświetli alternatyw.

-p |--print-avail nazwa-pakietu
    Pokazanie szczegółowych informacji o nazwie-pakietu, znalezionych w pliku /var/lib/dpkg/available.

--licence | --license
    Wyświetlenie informacji o licencji i prawach autorskich.

--version
    Wyświetlenie informacji o wersji.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-f | --showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego listowanego pakietu. W łańcuchu formatu, “\” jest znakiem cytowania:
        \n  nowa linia
        \r  powrót karetki
        \t  tabulacja
    “\” poprzedzający jakikolwiek inny znak znosi specjalne znaczenie następującego po nim znaku, co może być przydatne dla “\” oraz “$”. Informacje o pakiecie można wyświetlać, dodając odwołania do pól pakietu, używając składni “${pole[;szerokość]}”. Pola są wyrównywane do prawej strony, chyba że szerokość jest liczbą ujemną, w którym to wypadku będzie użyte wyrównanie do lewej strony. Rozpoznawane są następujące pola:
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Depends
        Description
        Enhances
        Essential
        Filename
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status
        Suggests
        Version
    The default format string is “${Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ŚRODOWISKO

COLUMNS
    Zmienna ta wpływa na wyjście polecenia --list, zmieniając jego szerokość.

AUTOR
Copyright 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

Ten program jest wolnym oprogramowaniem, proszę zobaczyć Licencję Publiczną GNU w wersji 2 po warunki licencji. NIE MA żadnych gwarancji.

ZOBACZ TAKŻE
dpkg(1).